﻿using System.Windows.Controls;

namespace TopConAPIDotNet4WPFExample.BatterySimulation
{
  /// <summary>
  /// Interaktionslogik für BatterySimulationView.xaml
  /// </summary>
  public partial class BatterySimulationView : UserControl
  {
    public BatterySimulationView()
    {
      InitializeComponent();
      IsEnabled = DataContext != null;
      DataContextChanged += BatterySimulationView_DataContextChanged;
    }

    private void BatterySimulationView_DataContextChanged(object sender, System.Windows.DependencyPropertyChangedEventArgs e)
    {
      BatterySimulationViewModel batterySimulationViewModel = DataContext as BatterySimulationViewModel;
      IsEnabled = batterySimulationViewModel != null;
    }
  }
}
