﻿using System.Windows.Controls;

namespace TopConAPIDotNet4WPFExample.SasSimulation
{
  /// <summary>
  /// Interaktionslogik für SasSimulationView.xaml
  /// </summary>
  public partial class SasSimulationView : UserControl
  {
    public SasSimulationView()
    {
      InitializeComponent();
      IsEnabled = DataContext != null;
      DataContextChanged += SasSimulationView_DataContextChanged;
    }

    private void SasSimulationView_DataContextChanged(object sender, System.Windows.DependencyPropertyChangedEventArgs e)
    {
      SasSimulationViewModel viewModel = DataContext as SasSimulationViewModel;
      if (viewModel != null)
      {
        viewModel.CurveEditorComboBox = CurveEditorComboBox;
        IsEnabled = viewModel.IsConnected;
      }
    }

  }
}
